swish-0.9.1.7: A semantic web toolkit.

Copyright | (c) 2011, 2012 Douglas Burke
License | GPL V2
Maintainer | Douglas Burke
Stability | experimental
Portability | CPP, TypeFamilies, FlexibleInstances
Safe Haskell | None
Language | Haskell98

Data.Interned.URI

Description

Support interning URIs.

Synopsis

- data InternedURI

# Documentation

data InternedURI Source

An interned URI. The hashing is based on the reversed URI (as a string).

Instances

Eq InternedURI Source |
Ord InternedURI Source |
Show InternedURI Source |
IsString InternedURI Source |
Uninternable InternedURI Source |
Interned InternedURI Source |
Eq (Description InternedURI) Source |
Hashable (Description InternedURI) Source |
type Uninterned InternedURI = URI Source |
data Description InternedURI = DU !URI Source |